Package weka.core.logging

# Class OutputLogger.OutputPrintStream

java.lang.Object
java.io.OutputStream
java.io.FilterOutputStream
java.io.PrintStream
weka.core.logging.OutputLogger.OutputPrintStream

All Implemented Interfaces:
  `Closeable`, `Flushable`, `Appendable`, `AutoCloseable`

Enclosing class:
  OutputLogger

public static class OutputLogger.OutputPrintStream extends PrintStream
A print stream class to capture all data from stdout and stderr.

Version:
  $Revision: 15092 $
Author:
  fracpete (fracpete at waikato dot ac dot nz)

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OutputPrintStream(OutputLogger owner, PrintStream stream)`
  Default constructor.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `PrintStream`
  `append(char c)`
  Appends the specified character to this output stream.
  `PrintStream`
  `append(CharSequence csq)`
  Appends the specified character sequence to this output stream.
  `PrintStream`
  `append(CharSequence csq, int start, int end)`
  Appends a subsequence of the specified character sequence to this output stream.
  `void`
  `flush()`
  ignored.
  `void`
  `print(boolean x)`
  prints the given boolean to the streams.
  `void`
  `print(int x)`
  prints the given int to the streams.
  `void`
  `print(Object x)`
  prints the given object to the streams.
  `void`
  `print(String x)`
  prints the given string to the streams.
  `void`
  `println()`
  prints a new line to the streams.
  `void`
  `println(boolean x)`
  prints the given boolean to the streams.
  `void`
  `println(int x)`
  prints the given int to the streams.
  `void`
  `println(Object x)`
  prints the given object to the streams (for Throwables we print the stack trace).
  `void`
  `println(String x)`
  prints the given string to the streams.
  `void`
  `write(byte[] b)`
  Writes the bytes to the stream.
  `void`
  `write(byte[] buf, int off, int len)`
  Writes the bytes to the stream.
  `void`
  `write(int b)`
  Writes the byte to the stream.

  ### Methods inherited from class java.io.PrintStream

  `checkError, close, format, format, print, print, print, print, print, printf, printf, println, println, println, println, println, writeBytes`

  ### Methods inherited from class java.io.OutputStream

  `nullOutputStream`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### OutputPrintStream

    public OutputPrintStream(OutputLogger owner, PrintStream stream) throws Exception
    Default constructor.
    Parameters:
      `owner` - the owning logger
      `stream` - the stream
    Throws:
      `Exception` - if something goes wrong

- ## Method Details

  - ### flush

    public void flush()
    ignored.
    Specified by:
      `flush` in interface `Flushable`
    Overrides:
      `flush` in class `PrintStream`

  - ### print

    public void print(int x)
    prints the given int to the streams.
    Overrides:
      `print` in class `PrintStream`
    Parameters:
      `x` - the object to print

  - ### print

    public void print(boolean x)
    prints the given boolean to the streams.
    Overrides:
      `print` in class `PrintStream`
    Parameters:
      `x` - the object to print

  - ### print

    public void print(String x)
    prints the given string to the streams.
    Overrides:
      `print` in class `PrintStream`
    Parameters:
      `x` - the object to print

  - ### print

    public void print(Object x)
    prints the given object to the streams.
    Overrides:
      `print` in class `PrintStream`
    Parameters:
      `x` - the object to print

  - ### println

    public void println()
    prints a new line to the streams.
    Overrides:
      `println` in class `PrintStream`

  - ### println

    public void println(int x)
    prints the given int to the streams.
    Overrides:
      `println` in class `PrintStream`
    Parameters:
      `x` - the object to print

  - ### println

    public void println(boolean x)
    prints the given boolean to the streams.
    Overrides:
      `println` in class `PrintStream`
    Parameters:
      `x` - the object to print

  - ### println

    public void println(String x)
    prints the given string to the streams.
    Overrides:
      `println` in class `PrintStream`
    Parameters:
      `x` - the object to print

  - ### println

    public void println(Object x)
    prints the given object to the streams (for Throwables we print the stack trace).
    Overrides:
      `println` in class `PrintStream`
    Parameters:
      `x` - the object to print

  - ### write

    public void write(int b)
    Writes the byte to the stream.
    Overrides:
      `write` in class `PrintStream`
    Parameters:
      `b` - the byte to write

  - ### write

    public void write(byte[] b) throws IOException
    Writes the bytes to the stream.
    Overrides:
      `write` in class `PrintStream`
    Parameters:
      `b` - the bytes to write
    Throws:
      `IOException`

  - ### write

    public void write(byte[] buf, int off, int len)
    Writes the bytes to the stream.
    Overrides:
      `write` in class `PrintStream`
    Parameters:
      `buf` - the buffer to use
      `off` - the offset
      `len` - the number of bytes to write

  - ### append

    public PrintStream append(CharSequence csq, int start, int end)
    Appends a subsequence of the specified character sequence to this output stream.

    An invocation of this method of the form `out.append(csq, start, end)` when `csq` is not `null`, behaves in exactly the same way as the invocation

             out.print(csq.subSequence(start, end).toString())

    Specified by:
      `append` in interface `Appendable`
    Overrides:
      `append` in class `PrintStream`
    Parameters:
      `csq` - The character sequence from which a subsequence will be appended. If `csq` is `null`, then characters will be appended as if `csq` contained the four characters `"null"`.
      `start` - The index of the first character in the subsequence
      `end` - The index of the character following the last character in the subsequence
    Returns:
      This output stream
    Throws:
      `IndexOutOfBoundsException` - If `start` or `end` are negative, `start` is greater than `end`, or `end` is greater than `csq.length()`
    Since:
      1.5

  - ### append

    public PrintStream append(CharSequence csq)
    Appends the specified character sequence to this output stream.

    An invocation of this method of the form `out.append(csq)` behaves in exactly the same way as the invocation

             out.print(csq.toString())

    Depending on the specification of `toString` for the character sequence `csq`, the entire sequence may not be appended. For instance, invoking then `toString` method of a character buffer will return a subsequence whose content depends upon the buffer's position and limit.

    Specified by:
      `append` in interface `Appendable`
    Overrides:
      `append` in class `PrintStream`
    Parameters:
      `csq` - The character sequence to append. If `csq` is `null`, then the four characters `"null"` are appended to this output stream.
    Returns:
      This output stream
    Since:
      1.5

  - ### append

    public PrintStream append(char c)
    Appends the specified character to this output stream.

    An invocation of this method of the form `out.append(c)` behaves in exactly the same way as the invocation

             out.print(c)

    Specified by:
      `append` in interface `Appendable`
    Overrides:
      `append` in class `PrintStream`
    Parameters:
      `c` - The 16-bit character to append
    Returns:
      This output stream
    Since:
      1.5